Llm
Body
activityTypestring · enumRequiredPossible values:
activityIdinteger · max: 2147483647Required
desiredLanguagestring · lowercase · min: 2 · max: 2RequiredPattern:
ISO 639-1 two-letter lowercase code
^[^A-Z]*$Responses
200
Successful response
application/json
translatedContentstringRequired
translatedDescriptionstringRequired
translatedLanguageany ofRequired
Two-letter lowercase language code or 'unknown'
const: unknownOptional
string · lowercase · min: 2 · max: 2OptionalPattern:
^[^A-Z]*$detectedLanguageany ofOptional
Two-letter lowercase language code or 'unknown'
const: unknownOptional
string · lowercase · min: 2 · max: 2OptionalPattern:
^[^A-Z]*$errorstring · nullableOptional
400
Invalid input data
application/json
500
Internal server error
application/json
post/llm/translate
POST /api/v2/llm/translate HTTP/1.1
Host: api.ethos.network
Content-Type: application/json
Accept: */*
Content-Length: 70
{
"activityType": "broker-post",
"activityId": 1,
"desiredLanguage": "text"
}{
"translatedContent": "text",
"translatedDescription": "text",
"translatedLanguage": "text",
"detectedLanguage": "text",
"error": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
titlestringRequired
descriptionstringOptional
Responses
200
Successful response
application/json
scorenumber · max: 100Required
errorstringOptional
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post/llm/quality
POST /api/v2/llm/quality HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"title": "text",
"description": "text"
}{
"score": 1,
"error": "text"
}Query parameters
userkeystringRequired
Responses
200
Successful response
application/json
activityCountnumberRequired
generatedAtstring · nullableRequired
summarystring · nullableRequired
uniqueAuthorsCountnumberRequiredDefault:
0400
Invalid input data
application/json
404
Not found
application/json
500
Internal server error
application/json
get/llm/activity-summary
GET /api/v2/llm/activity-summary?userkey=text HTTP/1.1
Host: api.ethos.network
Accept: */*
{
"activityCount": 1,
"generatedAt": "text",
"summary": "text",
"topAuthors": [
{
"id": 1,
"profileId": 1,
"displayName": "text",
"username": "text",
"avatarUrl": "https://example.com",
"description": "text",
"score": 1,
"status": "ACTIVE",
"userkeys": [
"text"
],
"xpTotal": 1,
"xpStreakDays": 1,
"xpRemovedDueToAbuse": true,
"influenceFactor": 1,
"influenceFactorPercentile": 1,
"humanVerificationStatus": "REQUESTED",
"validatorNftCount": 1,
"meowMeowsNftCount": 1,
"links": {
"profile": "https://example.com",
"scoreBreakdown": "https://example.com"
},
"stats": {
"holdingsWei": 1,
"review": {
"received": {
"negative": 1,
"neutral": 1,
"positive": 1
}
},
"vouch": {
"given": {
"amountWeiTotal": 1,
"count": 1
},
"received": {
"amountWeiTotal": 1,
"count": 1
}
},
"vouchTotals": [
{
"balance": {
"given": 1,
"received": 1
},
"count": {
"given": 1,
"received": 1
},
"token": {
"address": "text",
"decimals": 1,
"id": "eth"
}
}
],
"whufGuarantee": {
"asOf": "text",
"expiresAt": "text",
"guaranteedWei": 1,
"status": "active"
}
}
}
],
"uniqueAuthorsCount": 0
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
userkeystringRequired
Responses
200
Successful response
application/json
activityCountnumberRequired
generatedAtstring · nullableRequired
summarystring · nullableRequired
uniqueAuthorsCountnumberRequiredDefault:
0400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post/llm/activity-summary
POST /api/v2/llm/activity-summary HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"userkey": "text"
}{
"activityCount": 1,
"generatedAt": "text",
"summary": "text",
"topAuthors": [
{
"id": 1,
"profileId": 1,
"displayName": "text",
"username": "text",
"avatarUrl": "https://example.com",
"description": "text",
"score": 1,
"status": "ACTIVE",
"userkeys": [
"text"
],
"xpTotal": 1,
"xpStreakDays": 1,
"xpRemovedDueToAbuse": true,
"influenceFactor": 1,
"influenceFactorPercentile": 1,
"humanVerificationStatus": "REQUESTED",
"validatorNftCount": 1,
"meowMeowsNftCount": 1,
"links": {
"profile": "https://example.com",
"scoreBreakdown": "https://example.com"
},
"stats": {
"holdingsWei": 1,
"review": {
"received": {
"negative": 1,
"neutral": 1,
"positive": 1
}
},
"vouch": {
"given": {
"amountWeiTotal": 1,
"count": 1
},
"received": {
"amountWeiTotal": 1,
"count": 1
}
},
"vouchTotals": [
{
"balance": {
"given": 1,
"received": 1
},
"count": {
"given": 1,
"received": 1
},
"token": {
"address": "text",
"decimals": 1,
"id": "eth"
}
}
],
"whufGuarantee": {
"asOf": "text",
"expiresAt": "text",
"guaranteedWei": 1,
"status": "active"
}
}
}
],
"uniqueAuthorsCount": 0
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
activityTypestring · enumRequiredPossible values:
activityIdinteger · max: 2147483647Required
Responses
200
Successful response
application/json
tagsstring[] · max: 5Required
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
500
Internal server error
application/json
post/llm/tags
POST /api/v2/llm/tags HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"activityType": "broker-post",
"activityId": 1
}{
"tags": [
"text"
]
}Last updated